/* Fonts Link Start */
@import url("https://fonts.googleapis.com/css2?family=Righteous&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Raleway:ital,wght@0,100..900;1,100..900&display=swap");
/* Fonts Link End */

/* Universal Start */
* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

:root {
  --primary-color: #f59305;
  --secondary-color: #36bd64;
  --black: #000000;
  --white: #ffffff;
  --primary-font: "Righteous";
  --secondary-font: "Raleway";
  --primary-border: 1px solid #36bd64;
  --secondary-border: 1px solid #f59305;
}

h1,
h2,
h3,
h4,
h5 {
  font-family: var(--primary-font);
}

a {
  text-decoration: none !important;
}

p {
  font-family: var(--secondary-font);
}

/* Universal End */

/* Hero  Start */
#contact_hero {
  background: url(../image/about_all_image/about_image_01.png);
  width: 100%;
  height: 55vh;
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
}

.contact_hero_heading {
  padding-top: 20vh;
}

.contact_hero_heading h1 {
  font-size: 50px;
  color: var(--white);
}

.contact_hero_heading p {
  font-size: 16px;
  color: var(--white);
}

@media screen and (max-width: 992px) {
  .contact_hero_heading h1 {
    font-size: 40px;
  }
}

@media screen and (max-width: 778px) {
  .contact_hero_heading h1 {
    font-size: 30px;
  }
  .contact_hero_heading p {
    font-size: 13px;
  }
}

@media screen and (max-width: 500px) {
  .contact_hero_heading h1 {
    font-size: 22px;
  }
  .contact_hero_heading p {
    font-size: 12px;
  }
}
/* Hero  End */

/* Page Information Start  */
.page_information {
  padding: 20px 0 50px 0;
}

.page_information_content a {
  color: var(--black);
  font-weight: 500;
  font-family: var(--secondary-font);
  font-size: 20px;
}

.page_information_content a:nth-child(2) {
  margin-left: 3px;
}

.page_information_content a:nth-child(3) {
  margin-left: 3px;
}

.page_information_content a:nth-child(2) svg {
  width: 10px !important;
}
/* Page Information End */

/* Feature Start */
#feature {
  padding: 0 0 50px 0;
}

.feature_product_servies_card {
  border: 2px solid var(--secondary-color);
  width: 100%;
  padding: 10px;
  background: var(--white);
  border-radius: 5px;
  opacity: 0.9;
}

.feature_card_img svg {
  display: block;
  margin: auto;
  width: 60px;
  margin-bottom: 20px;
  padding-top: 10px;
}

.feature_product_servies_card h1 {
  font-size: 20px !important;
  text-align: center;
}

/* Feature End */

/* Details Shalby Mart Start */
#details_shalby {
  padding: 20px 0 80px 0;
}

.details_shalby_img img {
  width: 100%;
}

.details_shalby_about {
  margin-top: 50px;
}

.details_shalby_about_heading h1 {
  font-size: 35px;
  color: var(--black);
  text-align: center;
}

.details_shalby_about_heading p {
  text-align: center;
  font-size: 15px;
  margin-top: 10px;
  font-weight: 500;
}

.details_shalby_about_btn {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: 50px;
}

.details_shalby_about_btn a {
  padding: 7px 20px;
  border: 2px solid var(--primary-color);
  color: var(--primary-color);
  font-family: var(--primary-font);
  border-radius: 5px;
  transition: 0.5s;
  font-size: 16px;
}

.details_shalby_about_btn a:hover {
  background: var(--primary-color);
  color: var(--white);
}

.details_shalby_wrapper_content_heading h1 {
  text-align: center;
  font-size: 40px;
  padding-bottom: 10px;
}

.details_shalby_wrapper_content_heading p {
  text-align: center;
  font-size: 15px;
  font-weight: 500;
  align-items: center;
}

.details_shalby_number_counter {
  margin-top: 0px;
}

.counters:nth-child(1) {
  display: flex;
  justify-content: space-evenly;
}

.counters:nth-child(2) {
  display: flex;
  justify-content: space-between;
}

.counter h1 {
  text-align: center;
  font-size: 50px;
  color: var(--primary-color);
}

.counter h3 {
  font-size: 20px;
}

@media screen and (max-width: 1200px) {
  .counter h1 {
    font-size: 30px;
  }
  .counters {
    margin-top: 0;
  }

  .details_shalby_about_btn a {
    font-size: 12px;
  }
}

@media screen and (max-width: 991px) {
  .details_shalby_wrapper_content {
    margin-top: 50px;
  }
  .counter h1 {
    font-size: 50px;
  }
  .details_shalby_about_btn a {
    font-size: 16px;
  }
  .details_shalby_about_btn {
    margin-top: 10px;
  }
}

@media screen and (max-width: 575px) {
  .details_shalby_wrapper_content {
    margin-top: 50px;
  }
  .counter h1 {
    font-size: 30px;
  }

  .details_shalby_wrapper_content_heading h1 {
    font-size: 25px;
  }

  .details_shalby_about_heading h1 {
    font-size: 23px;
  }
}
/* Details Shalby Mart End */

/* Team Member Start */
#team_member {
  padding: 0 0 70px 0;
}

.team_member_heading {
  display: flex;
  justify-content: center;
  align-items: center;
  padding-bottom: 0px;
}

.team_member_heading h1 {
  display: inline-block;
  padding-bottom: 4px;
  border-bottom: 2px solid var(--secondary-color);
  font-size: 40px;
}

.card__article img {
  display: block;
  max-width: 100%;
  height: auto;
}

.card__article {
  position: relative;
  overflow: hidden;
  margin-top: 60px;
}

.card__article img {
  width: 100%;
}

.card__data {
  width: 270px;
  background-color: rgba(255, 255, 255, 0.9);
  padding: 1.5rem 2rem;
  box-shadow: 0 8px 24px hsla(0, 0%, 0%, 0.15);
  border: 2px solid var(--secondary-color);
  position: absolute;
  border-radius: 5px;
  bottom: -9rem;
  left: 0;
  right: 0;
  margin-inline: auto;
  opacity: 0;
  transition: opacity 1s 1s;
}

.card__description {
  display: block;
  font-size: 16px;
  color: var(--primary-color);
  margin-bottom: 0.25rem;
  text-align: center;
}

.card__title {
  font-size: 20px;
  color: black;
  text-align: center;
  margin-bottom: 0.75rem;
}

.card__article:hover .card__data {
  animation: show-data 1s forwards;
  opacity: 1;
  transition: opacity 0.3s;
}

.card__article:hover {
  animation: remove-overflow 2s forwards;
}

.card__article:not(:hover) {
  animation: show-overflow 2s forwards;
}

.card__article:not(:hover) .card__data {
  animation: remove-data 1s forwards;
}

/* Card animation */
@keyframes show-data {
  50% {
    transform: translateY(-10rem);
  }
  100% {
    transform: translateY(-7rem);
  }
}

@keyframes remove-overflow {
  to {
    overflow: initial;
  }
}

@keyframes remove-data {
  0% {
    transform: translateY(-7rem);
  }
  50% {
    transform: translateY(-10rem);
  }
  100% {
    transform: translateY(0.5rem);
  }
}

@keyframes show-overflow {
  0% {
    overflow: initial;
    pointer-events: none;
  }
  50% {
    overflow: hidden;
  }
}

@media screen and (max-width: 340px) {
  .card__data {
    width: 250px;
    padding: 1rem;
  }
}

@media screen and (min-width: 1120px) {
  .card__article img {
    width: 100%;
  }
  .card__data {
    width: 316px;
    padding-inline: 2.5rem;
  }
}

@media screen and (max-width: 575px) {
  .team_member_heading h1 {
    font-size: 25px;
  }
  .card__data {
    display: block;
    bottom: -1rem;
    opacity: 1;
    z-index: 99;
    overflow: visible;
  }

  @keyframes show-data {
    50% {
      transform: translateY(0rem);
    }
    100% {
      transform: translateY(0rem);
    }
  }

  @keyframes remove-overflow {
    to {
      overflow: initial;
    }
  }

  @keyframes remove-data {
    0% {
      transform: translateY(0rem);
    }
    50% {
      transform: translateY(0rem);
    }
    100% {
      transform: translateY(0rem);
    }
  }

  @keyframes show-overflow {
    0% {
      overflow: initial;
      pointer-events: none;
    }
    50% {
      overflow: visible;
    }
  }

  .card__article {
    position: relative;
    overflow: visible;
    margin-top: 60px;
  }
}

/* Team Member End */

/* Online Support  Start*/
#online_support {
  padding: 0 0 70px 0;
}

.online_support_heading {
  display: flex;
  justify-content: center;
  align-items: center;
}

.online_support_heading h1 {
  display: inline-block;
  padding-bottom: 4px;
  font-size: 40px;
  border-bottom: 2px solid var(--secondary-color);
}

.online_support_text {
  width: 550px;
  margin: auto;
  text-align: center;
  font-weight: 500;
}

@media screen and (max-width: 850px) {
  .online_support_text {
    width: 100%;
  }
}

.online_support_wrapper_heading h1 {
  text-align: center;
  font-size: 20px;
}

.online_support_wrapper_menu {
  display: flex;
  justify-content: center;
  align-items: center;
}

.online_support_menu_list {
  display: flex;
  gap: 30px;
  align-items: center;
  margin-top: 10px;
}

.online_support_menu_list span {
  font-family: var(--primary-font);
  font-size: 65px;
  color: var(--primary-color);
}
/* Online Support End */
